Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » SWT libraries missing from install(Plugins that depend on SWT have stopped working)
SWT libraries missing from install(Plugins that depend on SWT have stopped working) [message #1817063] Fri, 15 November 2019 03:07 Go to next message
neldeik marteina is currently offline neldeik marteinaFriend
Messages: 1
Registered: November 2019
Junior Member
I tried today to upgrade my IDE to the the following version:
Eclipse Modeling Tools
Version: 2018-09 (4.9.0)
Build id: 20180917-1800

A plugin that I developed will no longer compile. The Actions dialog is unable to import the following libraries:
import org.eclipse.swt.SWT;
import org.eclipse.swt. Walmartone.com widgets.FileDialog;

The jar "org.eclipse.swt_3.108.0.v20180904-1901.jar" is in my plugin dependencies but it seems to contain no classes.

[Updated on: Sun, 17 November 2019 02:42]

Report message to a moderator

Re: SWT libraries missing from install(Plugins that depend on SWT have stopped working) [message #1817070 is a reply to message #1817063] Fri, 15 November 2019 06:24 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30688
Registered: July 2009
Senior Member
If your target platform is just using the running IDE itself, i.e., Window -> Preferences -> Plug-in Development Environment -> Target Platform is using "Running Platform" you might need to Reload... it, or in the worst case, Add... a new one that uses the Default: radio button.
Previous Topic:Grey screen of death
Next Topic:New to Eclipse: Issue resolving dependency on Jar files
Goto Forum:
  


Current Time: Tue Dec 10 15:37:58 GMT 2019

Powered by FUDForum. Page generated in 0.03133 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top